Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoStdoutMonitor Class Reference

Prints statistics to stdout. More...

`#include <eoStdoutMonitor.h>`

Inheritance diagram for eoStdoutMonitor:

List of all members.

## Public Member Functions
| eoStdoutMonitor (bool _verbose=true, std::string _delim="\t")
eoMonitor & | operator() (void)
| The pure virtual function that needs to be implemented by the subclass.
virtual std::string | className (void) const
## Private Attributes
bool | verbose
std::string | delim
bool | firsttime

## Detailed Description

Prints statistics to stdout.

Definition at line 38 of file eoStdoutMonitor.h.

The documentation for this class was generated from the following files:

- eoStdoutMonitor.h
- eoStdoutMonitor.cpp